version: "3.7"

services:
  app_proxy:
    environment:
      APP_HOST: kimai_app_1
      APP_PORT: 8001
      PROXY_AUTH_ADD: "false"

  app:
    # в настоящее время не работает должным образом без рута
    #user: "1000:1000"
    image: kimai/kimai2:apache-2.56.0@sha256:16204b18bb3dad54d249027f5bdf6b5a70d7e60ddac7c9f6b34e9f29dbdef2b9
    volumes:
      - ${APP_DATA_DIR}/data/app:/opt/kimai/var/data
      - ${APP_DATA_DIR}/data/app/plugins:/opt/kimai/var/plugins
    environment:
      ADMINMAIL: dfwebos@dfwebos.local
      # здесь нельзя использовать $APP_PASSWORD, поскольку максимально допустимая длина составляет 60 символов.
      ADMINPASS: changeme
      DATABASE_URL: "mysql://kimaiuser:${APP_PASSWORD}@kimai_db_1/kimai?charset=utf8mb4&serverVersion=8.3.0"
    restart: on-failure
    depends_on:
      - db

  db:
    user: "1000:1000"
    image: mariadb:11.4.5@sha256:5dfb3093333fa0ea53194ddef0a2bfa21d3b1e1353bd228b22610cd6fc0c04da
    volumes:
      - ${APP_DATA_DIR}/data/db:/var/lib/mysql
    environment:
      MYSQL_DATABASE: kimai
      MYSQL_USER: kimaiuser
      MYSQL_PASSWORD: $APP_PASSWORD
      MYSQL_ROOT_PASSWORD: $APP_PASSWORD
    restart: on-failure
    healthcheck:
      test: mysqladmin -p$$MYSQL_ROOT_PASSWORD ping -h localhost
      interval: 20s
      start_period: 10s
      timeout: 10s
      retries: 3
